BEGIN transaction;
-- 2 смотрит все id клиентов
SELECT
    id
FROM client
ORDER BY RAND() LIMIT 1;
-- 1 устанавливает нового клиента
INSERT INTO client (id, first_name, last_name, phone_number, passport) VALUES ('1234', 'QRrew', 'QWr', '+1234', '1234');
-- 1 коммитит изменения

-- 2 снова смотрит все id клиентов
SELECT
    id
FROM client
ORDER BY RAND() LIMIT 1;

-- Пояснения
-- Решается проблема фантомного чтения,
-- то-есть транзакция 2 в любом случае выполниться,
-- не учитывая клиента из 1-й(при условии, что транзакция 2 начала выполняться раньше).
-- При вышеперечисленных уровнях изоляции, эта проблема бы не решалась.
